<?php
/**
 * AREST - RESTful Authentication for PHP 4/5
 * Version: 1.2.1
 * Author: Travis Estill (travisce.com)
 * Copyright (c) 2010 Travis Estill
 * License: Distributed under the Lesser General Public License
 * (LGPL) http://www.gnu.org/copyleft/lesser.html
 * This program is distributed in the hope that it will be useful
 * - WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

ini_set('display_errors', 1);
error_reporting(E_ALL | E_STRICT);
require_once(dirname(__FILE__) . '/arest.php');
arest_auth('testrealm@somehost');
ob_start();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
  "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta content="text/html; charset=iso-8859-1" 
          http-equiv="Content-Type">
    <meta content="text/css" http-equiv="Content-Style-Type">
    <meta content="text/javascript" http-equiv="Content-Script-Type">
    <link href="<?= AREST_BASE_URI ?>/index.css"
          media="screen" rel="stylesheet" type="text/css">
    <title>Login Results - AREST</title>
  </head>
  <body>
    <h1>Login Results&hellip;</h1>
    <dl>
      <dt>nonce</dt>
      <dd>
<?php
if (defined('AREST_DIGEST_NONCE')) {
  print AREST_DIGEST_NONCE;
}
?>
      </dd>
      <dt>MD5(nonce)</dt>
      <dd>
<?php
if (defined('AREST_DIGEST_NONCE')) {
  print md5(AREST_DIGEST_NONCE);
}
?>
      </dd>
      <dt>$_SERVER['PHP_AUTH_USER']</dt>
      <dd>
<?php
if (isset($_SERVER['PHP_AUTH_USER'])) {
  print htmlentities($_SERVER['PHP_AUTH_USER']);
}
?>
      </dd>
      <dt>$_SERVER['PHP_AUTH_PW']</dt>
      <dd>
<?php
if (isset($_SERVER['PHP_AUTH_PW'])) {
  print htmlentities(base64_decode($_SERVER['PHP_AUTH_PW']));
}
?>
      </dd>
      <dt>$_SERVER['PHP_AUTH_DIGEST']</dt>
      <dd>
<?php
if (isset($_SERVER['PHP_AUTH_DIGEST'])) {
  print htmlentities($_SERVER['PHP_AUTH_DIGEST']);
}
?>
      </dd>
      <dt>$_COOKIE</dt>
      <dd>
        <pre><?php print_r($_COOKIE); ?></pre>
      </dd>
    </dl>
    <form action="<?= AREST_REQUEST_URI ?>" method="post">
      <fieldset>
        <legend>Logout</legend>
        <input name="arest-disable-nonce" type="hidden"
               value="<?= htmlspecialchars(AREST_DIGEST_NONCE) ?>">
        <input type="submit" value="Logout">
      </fieldset>
    </form>
  </body>
</html>
<?php
arest_auth_info(ob_get_contents());
ob_end_flush();
?>
